#pragma once
#include <unordered_map>
#include "HwmSdkAgent.h"

// demoSubtitleSettingDlg 对话框

class demoSubtitleSettingDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoSubtitleSettingDlg)

public:
	demoSubtitleSettingDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoSubtitleSettingDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SUBTITLE_SETTING_DIALOG};
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

private:
    int ClickOpenSubtitle();
    int ClickSubscribeSubtitle();
    std::unordered_map<std::string, hwmsdkagent::HwmTargetLanguageType> m_targetLanguageMap;
public:
    CComboBox m_isOpenCombo;
    CButton m_updateOpenState;
    CComboBox m_isSubscribeCombo;
    CButton m_updateSubscribeState;
    CComboBox m_subtitleLanguageCombo;
    CButton m_subscribeSubtitleLanguage;
    CButton m_getSubtitleLanguages;
    afx_msg void OnBnClickedOk();
    afx_msg void OnBnClickedButtonSubtitleSettingIsOpen();
    afx_msg void OnBnClickedButtonSubtitleSettingIsSubscribe();
    afx_msg void OnBnClickedButtonSubtitleSettingSubscribeLanguage();
    afx_msg void OnBnClickedButtonSubtitleSettingGetLanguageList();
    afx_msg LRESULT UpdateSubtitleLanguageList(WPARAM wparam, LPARAM lparam);
};
